#
# spec file for package pantheon-wallpapers
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define         appid io.elementary.wallpapers
Name:           pantheon-wallpapers
Version:        8.0.0
Release:        1.2
Summary:        The desktop backgrounds for the Pantheon DE
License:        CC-BY-NC-SA-4.0 AND CC0-1.0
URL:            https://github.com/elementary/wallpapers
Source0:        %{url}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  meson
BuildArch:      noarch
Provides:       elementary-wallpapers = %{version}
Obsoletes:      elementary-wallpapers < %{version}

%description
This package contains quality desktop backgrounds

%prep
%autosetup -n wallpapers-%{version}

%build
%meson
%meson_build

%install
%meson_install
%fdupes %{buildroot}

# remove wallpapers, which we can't ship
rm -f %{buildroot}%{_datadir}/backgrounds/{elementaryos-default,Martin\ Adams.jpg,Morskie\ Oko.jpg,Nattu\ Adnan.jpg,Tj\ Holowaychuk.jpg,Viktor\ Forgacs.jpg,A\ Large\ Body\ of\ Water\ Surrounded\ By\ Mountains.jpg,A\ Trail\ of\ Footprints\ In\ The\ Sand.jpg,Photo\ of\ Valley.jpg,Snow-Capped\ Mountain.jpg}

%files
%doc README.md
%{_datadir}/backgrounds
%{_datadir}/metainfo/%{appid}.metainfo.xml

%changelog
* Mon Nov  4 2024 Richard Rahl <rrahl0@opensuse.org>
- rename to pantheon-wallpapers
* Fri Aug  9 2024 Richard Rahl <rrahl0@opensuse.org>
- update to 8.0.0:
  * Add “A Large Body of Water Surrounded By Mountains” by Peter Thomas and make it the new default
  * Add “A Trail of Footprints In The Sand” by David Emrich
  * Remove “Orange Tulip” by Leigh Kendell
  * Remove “Bird Flying by The Mountain” by Julia Craice
  * Build a special wallpaper for Early Access
- update to 7.0.0:
  * Add Photo of Valley
  * Remove Jonas Nilsson Lee
  * Set default to Photo of Valley
  * Reduce contrails in Photo of Valley.jpg
- update to 6.1.0:
  * Make Odin Dark the default
- update to 6.0.0:
  * Add day and night custom Odin wallpapers
  * Add Snow-capped Mountain, Martin Adams, Tj Holowaychuk, and Vikor Forgacs
  * Remove Carmine de Fazio, Luca Bravo, Pablo Garcia Saldana, Rob Bye, and Ryan Schroeder
- switch url to github, as we don't want to link to a different OS
- remove wallpapers which we can't ship (license)
* Wed Dec 18 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 5.5.0:
  * Add Release to Actions
  * Run test script with GitHub Actions (#86)
  * Add AppData (#85)
  * Add symlink back to master
  * Split deb packaging into its own branch
  * Use Meson build system (#84)
  * Delete CODE_OF_CONDUCT.md
  * Redo 5.1 symlink (#81)
* Mon Nov  4 2019 Alexei Podvalsky <avvissu@yandex.by>
- Update to 5.4:
  * Fix white pixel in Ashim DSilva
  * Add Nattu Adnan wallpaper
  * Add Canazei Granite Ridges wallpaper
  * Add Julia Craice wallpaper
* Mon Oct  8 2018 Alexei Podvalsky <avvissu@yandex.by>
- Update to 5.3:
  * New upstream release.
* Sat Jun 23 2018 avvissu@yandex.by
- Update to 5.2:
  * New upstream release.
* Fri Jun 15 2018 avvissu@yandex.by
- Rename the package: branding-elementary -> branding-upstream
* Sat Jun  9 2018 avvissu@yandex.by
- Update to 5.1:
  * New upstream release
* Fri Jun  8 2018 avvissu@yandex.by
- Switch to git
- Add pantheon-wallpapers-branding-elementary
- Build with fdupes
- Update install section
- Add SECTION check: brp-25-symlink will break the links with spaces
- Add COPYING file
- Spec file cleanup
* Sun Sep 18 2016 avvissu@yandex.by
- Update to 0.1.4
- Add conflict with luna-wallpapers
- Read value of a symbolic link to default wallpaper
* Sun Feb 28 2016 mailaender@opensuse.org
- initial package (version 0.1+r46) for build.opensuse.org
